function machintruc(changed) {
    var data = document.querySelector('p#data');
    
    if(!changed)
    {
        if(localStorage.getItem('lang')) {
            lang = localStorage.getItem('lang');
            $("#lang").val(lang);
        }
        else {
            lang=$("#lang").val();
            localStorage.lang = lang;
        }
    }
    else {
        lang=$("#lang").val();
        localStorage.lang = lang;
    }
        
    if($("video:first").length>0 && $("#optionSynthese").prop('checked'))
    {
        u = new SpeechSynthesisUtterance();
        if(lang=='fr')
        {
            u.lang = 'fr-FR';
            u.text = 'Français sélectionné';
        }
        else{
            u.lang = 'en-EN';
            u.text = 'Language set to English';
        }
        speechSynthesis.speak(u);
        
    }
    
    if (lang=='fr')
    {
        $("#currentFrame").text("DIRECT");
        $(".textParametres").text("Paramètres");
        $(".textFermer").text("Fermer");
        $(".textSon").text("Son");
        $(".textCamResolution").text("Résolution ");
        $(".textCamDevice").text("Webcam ");
        $(".textLanguage").text("Langue ");
        $(".placeholder").text("Votre navigateur ne permet pas l'accès à la webcam.");
        $("#textAutre").text("Autre…");
        $("#shortplayValueText").text("Lecture rapide");
        $("#imagesText").text("images");
        $(".submitText").text("Valider");
        $("#textFramerate").text("Entrez un nombre d'images par seconde :");
        $("#optionDelete").text("Supprimer l'image");
        $("#optionDuplicate").text("Dupliquer l'image");
        $("#optionGrid").text("Afficher/masquer la grille");
        $("#optionLetterbox").text("Afficher le masque de ratio");
        $("#textDuplicate").text("Dupliquer");
        $("#textLetterbox").text("Ratio");
        $(".textRecognition").text("Écoute moi");
        $(".textSynthese").text("Parle moi");
        $("#foisText").text("fois");
        $("#moreOptions").attr("title","Plus d'options");
        $("#difference").attr("title","Mode différence");
        $("#onionBlending").attr("title","Onion blending");
        $("#play").attr("title","Lecture");
        $("#pause").attr("title","Pause");
        $("#loop").attr("title","Boucle");
        $("#shortPlay").attr("title","Lecture rapide");
        $("#settings").attr("title","Paramètres");
        $("#save").attr("title","Enregistrer/Exporter");
        $("#saveFramesToComputer").attr("title","Enregistrer les images");
        $("#saveWebmToComputer").attr("title","Enregistrer un webm");
        $(".cancelRemoveText").text("Annuler/Enlever");
        $("#savePath").text("Enregistrer sous…");
        $("#download").text("Enregistrer");
        $("#textFrames").text("Images");
        $("#savefolderText").text("Dossier ");
        $("#saveFormatText").text("Format ");
        $("#saveNameText").text("Nom ");
        $("#saveFramerateText").text("Fréquence d'images ");
        $(".exportText").text("Exporter");
        $("#nothingText").text("Ignorer");
        $("#cropText").text("Rogner les images");
        $("#maskText").text("Ajouter les bandes noires");
        $("#aspectRatio").text("Masque de ratio");
        $(".chooseFolder").text("Sélectionner…");
        $(".textSoundSettings").text("Paramètres sonores");
        
        
        
        var textVariables = {live:"DIRECT",
                             chooseText:"Choisissez l'appareil vidéo",
                             boutonName:"Télécharger",
                             preparation : "Préparation…",
                             render : "Rendu…",
                             done: "Terminé!",
                             exitMessage:"Vous allez perdre votre travail, êtes vous sûr(e) de vouloir quitter la page ?"
                            };
    }
    else
    {
        $("#currentFrame").text("LIVE");
        $(".textParametres").text("Settings");
        $(".textFermer").text("Close");
        $(".textSon").text("Sound");
        $(".textCamResolution").text("Camera Resolution ");
        $(".textCamDevice").text("Camera ");
        $(".textLanguage").text("Language ");
        $(".placeholder").text("Your browser does not support camera access.");
        $("#textAutre").text("Custom…");
        $("#shortplayValueText").text("Short play");
        $("#imagesText").text("images");
        $(".submitText").text("OK");
        $("#textFramerate").text("Enter framerate:");
        $("#optionDelete").text("Delete frame");
        $("#optionDuplicate").text("Duplicate frame");
        $("#textLetterbox").text("Ratio");
        $("#optionGrid").text("Toggle grid overlay");
        $("#optionLetterbox").text("Aspect ratio mask");
        $("#textDuplicate").text("Duplicate");
        $(".textRecognition").text("Listen to me");
        $(".textSynthese").text("Talk to me");
        $("#foisText").text("times");
        $("#moreOptions").attr("title","More options");
        $("#difference").attr("title","Difference");
        $("#onionBlending").attr("title","Onion blending");
        $("#play").attr("title","Play");
        $("#pause").attr("title","Pause");
        $("#loop").attr("title","Loop");
        $("#shortPlay").attr("title","Short play");
        $("#settings").attr("title","Settings");
        $("#save").attr("title","Save/Export");
        $("#saveFramesToComputer").attr("title","Save frames");
        $("#saveWebmToComputer").attr("title","Save webm");
        $(".cancelRemoveText").text("Cancel/Remove");
        $("#savePath").text("Save to");
        $("#download").text("Save");
        $("#textFrames").text("Frames");
        $("#savefolderText").text("Location ");
        $("#saveFormatText").text("Format ");
        $("#saveNameText").text("Name ");
        $("#saveFramerateText").text("Framerate ");
        $(".exportText").text("Export");
        $("#nothingText").text("Ignore");
        $("#cropText").text("Crop");
        $("#maskText").text("Apply (letterbox)");
        $("#aspectRatio").text("Aspect ratio mask");
        $(".chooseFolder").text("Choose…");
        $(".textSoundSettings").text("Sound settings");

        var textVariables = {live:"LIVE",
                             chooseText:"Select video device",
                             boutonName:"Download",
                             preparation : "Preparation…",
                             render : "Render…",
                             done : "Done!",
                             exitMessage:"You're going to loose your work. Are you sure you want to leave?"
                            };
    }
        window.textVariables=textVariables;
}

machintruc();

$("#lang").change(function() {machintruc(true);});

//$("#lang").change(changeLang($("#lang").val()));